*** gnus-util.el.orig	Tue Aug 25 17:01:32 1998
--- gnus-util.el	Tue Aug 25 10:39:20 1998
***************
*** 537,542 ****
--- 537,544 ----
  
  (defvar gnus-work-buffer " *gnus work*")
  
+ (defvar gnus-write-file-coding-system 'raw-text)
+ 
  (defun gnus-set-work-buffer ()
    "Put point in the empty Gnus work buffer."
    (if (get-buffer gnus-work-buffer)
***************
*** 605,611 ****
    ;; Make sure the directory exists.
    (gnus-make-directory (file-name-directory file))
    ;; Write the buffer.
!   (write-region (point-min) (point-max) file nil 'quietly))
  
  (defun gnus-delete-file (file)
    "Delete FILE if it exists."
--- 607,614 ----
    ;; Make sure the directory exists.
    (gnus-make-directory (file-name-directory file))
    ;; Write the buffer.
!   (let ((coding-system-for-write gnus-write-file-coding-system))
!     (write-region (point-min) (point-max) file nil 'quietly)))
  
  (defun gnus-delete-file (file)
    "Delete FILE if it exists."
